Package ghidra.features.bsim.query.protocol

# Class QueryCluster

java.lang.Object
ghidra.features.bsim.query.protocol.BSimQuery<ResponseCluster>
ghidra.features.bsim.query.protocol.QueryCluster

public class QueryCluster extends BSimQuery<ResponseCluster>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `ResponseCluster`
  `clusterresponse`
  `final DescriptionManager`
  `manage`
  `double`
  `signifthresh`
  `double`
  `thresh`
  `int`
  `vectormax`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `name, response`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryCluster()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildResponseTemplate()`
  `DescriptionManager`
  `getDescriptionManager()`
  `QueryCluster`
  `getLocalStagingCopy()`
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `clearResponse, execute, getName, getResponse, restoreQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### manage

    public final DescriptionManager manage

  - ### clusterresponse

    public ResponseCluster clusterresponse

  - ### thresh

    public double thresh

  - ### signifthresh

    public double signifthresh

  - ### vectormax

    public int vectormax

- ## Constructor Details

  - ### QueryCluster

    public QueryCluster()

- ## Method Details

  - ### buildResponseTemplate

    public void buildResponseTemplate()
    Overrides:
      `buildResponseTemplate` in class `BSimQuery<ResponseCluster>`

  - ### getDescriptionManager

    public DescriptionManager getDescriptionManager()
    Overrides:
      `getDescriptionManager` in class `BSimQuery<ResponseCluster>`

  - ### getLocalStagingCopy

    public QueryCluster getLocalStagingCopy()
    Overrides:
      `getLocalStagingCopy` in class `BSimQuery<ResponseCluster>`
    Returns:
      a partial clone of this query suitable for holding local stages of the query via StagingManager

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `BSimQuery<ResponseCluster>`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `BSimQuery<ResponseCluster>`
    Throws:
      `LSHException`